package com.miaxis.feign;


import org.apache.commons.httpclient.methods.multipart.MultipartRequestEntity;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(name="qgptService",
        url = "${feign.qgpt_ipport}")

public interface IQgptService {
    @RequestMapping(value = "/top/imageup/stuimg", method = RequestMethod.POST)
    Map imageup(@RequestParam("v" ) String version,
                @RequestParam("ts" ) Long timestamp,
                @RequestParam("user" ) String serialNumber,
                @RequestParam("sign" ) String sign,
                @RequestBody MultipartRequestEntity entity);

}
